{% extends 'registration/login_base.html' %}
{% load widget_tweaks %}

{% block page_title %}ورود به سایت{% endblock page_title %}

{% block main_content %}
<form class="login100-form validate-form" method="POST">
	{% csrf_token %}
	<span class="login100-form-title p-b-26 myfont">
		ورود به سایت
	</span>
	<span class="login100-form-title p-b-48">
		<i class="fas fa-sign-in-alt"></i>
	</span>

	<div class="wrap-input100 validate-input myfont" data-validate="Valid email is: a@b.c">
		{{ form.username|add_class:"input100" }}
		<span class="focus-input100" data-placeholder="نام کاربری"></span>
	</div>

	<div class="wrap-input100 validate-input myfont" data-validate="Enter password">
		<span class="btn-show-pass">
			<i class="zmdi zmdi-eye"></i>
		</span>
		{{ form.password|add_class:"input100" }}
		<span class="focus-input100" data-placeholder="گذرواژه"></span>
	</div>

	{% if form.username.errors %}
		<hr>
		<div class="errors">

			{% for error in form.username.errors %}
			<span>{{ error }}</span>
			{% endfor %}

		</div>
		<hr>
	{% endif %}

	{% if form.password.errors %}
		<hr>
		<div class="errors">

			{% for error in form.password.errors %}
			<span>{{ error }}</span>
			{% endfor %}

		</div>
		<hr>
	{% endif %}	

	{% if form.non_field_errors %}
	<hr>
	<div class="errors">

		{% for error in form.non_field_errors %}
		<span>{{ error }}</span>
		{% endfor %}

	</div>
	<hr>
	{% endif %}

	<a class="text-primary myfont" style="font-size: 15px;" href="{% url 'password_reset' %}">
		گذرواژه خود را فراموش کرده‌اید؟ کلیک کنید
	</a>

	<div class="container-login100-form-btn">
		<div class="wrap-login100-form-btn">
			<div class="login100-form-bgbtn"></div>
			<button class="login100-form-btn myfont">
				ورود
			</button>
		</div>
	</div>

	<div class="text-center mt-3">
		<a class="text-primary myfont" style="font-size: 17px; font-weight: bold;" href="{% url 'signup' %}">
			اگر حساب کاربری ندارید، ثبت‌نام کنید.
		</a>
	</div>
</form>
{% endblock main_content %}